Index: /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping.php	(revision 15223)
+++ /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping.php	(revision 15223)
@@ -0,0 +1,308 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * ショッピングログインのページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Shopping extends LC_Page {
+
+    // {{{ properties
+
+    /** フォームパラメータ */
+    var $objFormParam;
+
+    // TODO
+    var $arrSession;
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'shopping/index.tpl';
+        $masterData = new SC_DB_MasterData();
+        $this->arrPref = $masterData->getMasterData("mtb_pref", array("pref_id", "pref_name", "rank"));
+        $this->arrSex = $masterData->getMasterData("mtb_sex");
+        $this->arrJob = $masterData->getMasterData("mtb_job");
+        $this->tpl_onload = 'fnCheckInputDeliv();';
+
+        $this->allowClientCache();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $conn = new SC_DBConn();
+        $objView = new SC_SiteView();
+        $objSiteSess = new SC_SiteSession();
+        $objCartSess = new SC_CartSession();
+        $objCampaignSess = new SC_CampaignSession();
+        $objCustomer = new SC_Customer();
+        $objCookie = new SC_Cookie();
+        $this->objFormParam = new SC_FormParam();			// フォーム用
+        $this->lfInitParam();								// パラメータ情報の初期化
+        $this->objFormParam->setParam($_POST);			// POST値の取得
+
+        // ユーザユニークIDの取得と購入状態の正当性をチェック
+        $this->tpl_uniqid = SC_Utils_Ex::sfCheckNormalAccess($objSiteSess, $objCartSess);
+
+        // ログインチェック
+        if($objCustomer->isLoginSuccess()) {
+            // すでにログインされている場合は、お届け先設定画面に転送
+            $this->sendRedirect($this->getLocation("./deliv.php"), array());
+            exit;
+        }
+
+        if ($_SERVER["REQUEST_METHOD"] == "POST") {
+            if (!$this->isValidToken()) {
+                SC_Utils_Ex::sfDispSiteError(PAGE_ERROR, "", true);
+            }
+        }
+
+        switch($_POST['mode']) {
+        case 'nonmember_confirm':
+            $this = $this->lfSetNonMember($this);
+            // ※breakなし
+        case 'confirm':
+            // 入力値の変換
+            $this->objFormParam->convParam();
+            $this->objFormParam->toLower('order_mail');
+            $this->objFormParam->toLower('order_mail_check');
+
+            $this->arrErr = $this->lfCheckError();
+
+            // 入力エラーなし
+            if(count($this->arrErr) == 0) {
+                // DBへのデータ登録
+                $this->lfRegistData($uniqid);
+
+                // お届け先のコピー
+                $this->lfCopyDeliv($uniqid, $_POST);
+
+                // 正常に登録されたことを記録しておく
+                $objSiteSess->setRegistFlag();
+                // お支払い方法選択ページへ移動
+                $this->sendRedirect($this->getLocation(URL_SHOP_PAYMENT, array()));
+                exit;
+            }
+
+            break;
+        // 前のページに戻る
+        case 'return':
+            // 確認ページへ移動
+            $this->sendRedirect($this->getLocation(URL_CART_TOP, array()));
+            exit;
+            break;
+        case 'nonmember':
+            $this = $this->lfSetNonMember($this);
+            // ※breakなし
+        default:
+            if($_GET['from'] == 'nonmember') {
+                $this = $this->lfSetNonMember($this);
+            }
+            // ユーザユニークIDの取得
+            $uniqid = $objSiteSess->getUniqId();
+            $objQuery = new SC_Query();
+            $where = "order_temp_id = ?";
+            $arrRet = $objQuery->select("*", "dtb_order_temp", $where, array($uniqid));
+            // DB値の取得
+            $this->objFormParam->setParam($arrRet[0]);
+            $this->objFormParam->setValue('order_email_check', $arrRet[0]['order_email']);
+            $this->objFormParam->setDBDate($arrRet[0]['order_birth']);
+            break;
+        }
+
+        // クッキー判定
+        $this->tpl_login_email = $objCookie->getCookie('login_email');
+        if($this->tpl_login_email != "") {
+            $this->tpl_login_memory = "1";
+        }
+
+        // 選択用日付の取得
+        $objDate = new SC_Date(START_BIRTH_YEAR);
+        $this->arrYear = $objDate->getYear('', 1950);	//　日付プルダウン設定
+        $this->arrMonth = $objDate->getMonth();
+        $this->arrDay = $objDate->getDay();
+
+        if($this->year == '') {
+            $this->year = '----';
+        }
+
+        // 入力値の取得
+        $this->arrForm = $this->objFormParam->getFormParamList();
+
+        if($this->arrForm['year']['value'] == ""){
+            $this->arrForm['year']['value'] = '----';
+        }
+
+        $this->transactionid = $this->getToken();
+        $objView->assignobj($this);
+        // フレームを選択(キャンペーンページから遷移なら変更)
+        $objCampaignSess->pageView($objView);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+    /* 非会員入力ページのセット */
+    function lfSetNonMember($objPage) {
+        $objPage->tpl_mainpage = 'shopping/nonmember_input.tpl';
+        $objPage->tpl_css = array();
+        $objPage->tpl_css[] = URL_DIR.'css/layout/login/nonmember.css';
+        return $objPage;
+    }
+
+    /* パラメータ情報の初期化 */
+    function lfInitParam() {
+        $this->objFormParam->addParam("お名前（姓）", "order_name01", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("お名前（名）", "order_name02", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("フリガナ（セイ）", "order_kana01", STEXT_LEN, "KVCa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("フリガナ（メイ）", "order_kana02", STEXT_LEN, "KVCa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("郵便番号1", "order_zip01", ZIP01_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "NUM_COUNT_CHECK"));
+        $this->objFormParam->addParam("郵便番号2", "order_zip02", ZIP02_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "NUM_COUNT_CHECK"));
+        $this->objFormParam->addParam("都道府県", "order_pref", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("住所1", "order_addr01", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所2", "order_addr02", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("電話番号1", "order_tel01", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号2", "order_tel02", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号3", "order_tel03", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("FAX番号1", "order_fax01", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("FAX番号2", "order_fax02", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("FAX番号3", "order_fax03", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("メールアドレス", "order_email", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"));
+        $this->objFormParam->addParam("メールアドレス（確認）", "order_email_check", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "NO_SPTAB", "MAX_LENGTH_CHECK", "EMAIL_CHECK", "EMAIL_CHAR_CHECK"), "", false);
+        $this->objFormParam->addParam("年", "year", INT_LEN, "n", array("MAX_LENGTH_CHECK"), "", false);
+        $this->objFormParam->addParam("月", "month", INT_LEN, "n", array("MAX_LENGTH_CHECK"), "", false);
+        $this->objFormParam->addParam("日", "day", INT_LEN, "n", array("MAX_LENGTH_CHECK"), "", false);
+        $this->objFormParam->addParam("性別", "order_sex", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("職業", "order_job", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("別のお届け先", "deliv_check", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("お名前（姓）", "deliv_name01", STEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("お名前（名）", "deliv_name02", STEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("フリガナ（セイ）", "deliv_kana01", STEXT_LEN, "KVCa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("フリガナ（メイ）", "deliv_kana02", STEXT_LEN, "KVCa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("郵便番号1", "deliv_zip01", ZIP01_LEN, "n", array("NUM_CHECK", "NUM_COUNT_CHECK"));
+        $this->objFormParam->addParam("郵便番号2", "deliv_zip02", ZIP02_LEN, "n", array("NUM_CHECK", "NUM_COUNT_CHECK"));
+        $this->objFormParam->addParam("都道府県", "deliv_pref", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("住所1", "deliv_addr01", STEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所2", "deliv_addr02", STEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("電話番号1", "deliv_tel01", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号2", "deliv_tel02", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号3", "deliv_tel03", TEL_ITEM_LEN, "n", array("MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("メールマガジン", "mail_flag", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), 1);
+    }
+
+    /* DBへデータの登録 */
+    function lfRegistData($uniqid) {
+        $arrRet = $this->objFormParam->getHashArray();
+        $sqlval = $this->objFormParam->getDbArray();
+        // 登録データの作成
+        $sqlval['order_temp_id'] = $uniqid;
+        $sqlval['order_birth'] = SC_Utils_Ex::sfGetTimestamp($arrRet['year'], $arrRet['month'], $arrRet['day']);
+        $sqlval['update_date'] = 'Now()';
+        $sqlval['customer_id'] = '0';
+
+        // 既存データのチェック
+        $objQuery = new SC_Query();
+        $where = "order_temp_id = ?";
+        $cnt = $objQuery->count("dtb_order_temp", $where, array($uniqid));
+        // 既存データがない場合
+        if ($cnt == 0) {
+            $sqlval['create_date'] = 'Now()';
+            $objQuery->insert("dtb_order_temp", $sqlval);
+        } else {
+            $objQuery->update("dtb_order_temp", $sqlval, $where, array($uniqid));
+        }
+
+    }
+
+    /* 入力内容のチェック */
+    function lfCheckError() {
+        // 入力データを渡す。
+        $arrRet = $this->objFormParam->getHashArray();
+        $objErr = new SC_CheckError($arrRet);
+        $objErr->arrErr = $this->objFormParam->checkError();
+
+        // 別のお届け先チェック
+        if($_POST['deliv_check'] == "1") {
+            $objErr->doFunc(array("お名前（姓）", "deliv_name01"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("お名前（名）", "deliv_name02"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("フリガナ（セイ）", "deliv_kana01"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("フリガナ（メイ）", "deliv_kana02"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("郵便番号1", "deliv_zip01"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("郵便番号2", "deliv_zip02"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("都道府県", "deliv_pref"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("住所1", "deliv_addr01"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("住所2", "deliv_addr02"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("電話番号1", "deliv_tel01"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("電話番号2", "deliv_tel02"), array("EXIST_CHECK"));
+            $objErr->doFunc(array("電話番号3", "deliv_tel03"), array("EXIST_CHECK"));
+        }
+
+        // 複数項目チェック
+        $objErr->doFunc(array("TEL", "order_tel01", "order_tel02", "order_tel03", TEL_ITEM_LEN), array("TEL_CHECK"));
+        $objErr->doFunc(array("FAX", "order_fax01", "order_fax02", "order_fax03", TEL_ITEM_LEN), array("TEL_CHECK"));
+        $objErr->doFunc(array("郵便番号", "order_zip01", "order_zip02"), array("ALL_EXIST_CHECK"));
+        $objErr->doFunc(array("TEL", "deliv_tel01", "deliv_tel02", "deliv_tel03", TEL_ITEM_LEN), array("TEL_CHECK"));
+        $objErr->doFunc(array("FAX", "deliv_fax01", "deliv_fax02", "deliv_fax03", TEL_ITEM_LEN), array("TEL_CHECK"));
+        $objErr->doFunc(array("郵便番号", "deliv_zip01", "deliv_zip02"), array("ALL_EXIST_CHECK"));
+        $objErr->doFunc(array("生年月日", "year", "month", "day"), array("CHECK_DATE"));
+        $objErr->doFunc(array("メールアドレス", "メールアドレス（確認）", "order_email", "order_email_check"), array("EQUAL_CHECK"));
+
+        // すでにメルマガテーブルに会員としてメールアドレスが登録されている場合
+        if(SC_Utils_Ex::sfCheckCustomerMailMaga($arrRet['order_email'])) {
+            $objErr->arrErr['order_email'] = "このメールアドレスはすでに登録されています。<br />";
+        }
+
+        return $objErr->arrErr;
+    }
+
+    // 受注一時テーブルのお届け先をコピーする
+    function lfCopyDeliv($uniqid, $arrData) {
+        $objQuery = new SC_Query();
+
+        // 別のお届け先を指定していない場合、配送先に登録住所をコピーする。
+        if($arrData["deliv_check"] != "1") {
+            $sqlval['deliv_name01'] = $arrData['order_name01'];
+            $sqlval['deliv_name02'] = $arrData['order_name02'];
+            $sqlval['deliv_kana01'] = $arrData['order_kana01'];
+            $sqlval['deliv_kana02'] = $arrData['order_kana02'];
+            $sqlval['deliv_pref'] = $arrData['order_pref'];
+            $sqlval['deliv_zip01'] = $arrData['order_zip01'];
+            $sqlval['deliv_zip02'] = $arrData['order_zip02'];
+            $sqlval['deliv_addr01'] = $arrData['order_addr01'];
+            $sqlval['deliv_addr02'] = $arrData['order_addr02'];
+            $sqlval['deliv_tel01'] = $arrData['order_tel01'];
+            $sqlval['deliv_tel02'] = $arrData['order_tel02'];
+            $sqlval['deliv_tel03'] = $arrData['order_tel03'];
+            $where = "order_temp_id = ?";
+            $objQuery->update("dtb_order_temp", $sqlval, $where, array($uniqid));
+        }
+    }
+}
+?>
Index: /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping_Deliv.php
===================================================================
--- /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 15223)
+++ /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping_Deliv.php	(revision 15223)
@@ -0,0 +1,310 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * お届け先指定 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Shopping_Deliv extends LC_Page {
+
+    // {{{ properties
+
+    /** フォームパラメータの配列 */
+    var $objFormParam;
+
+    /** ログインフォームパラメータ配列 */
+    var $objLoginFormParam;
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'shopping/deliv.tpl';
+        $this->tpl_css = URL_DIR.'css/layout/shopping/index.css';
+        $masterData = new SC_DB_MasterData();
+        $this->arrPref = $masterData->getMasterData("mtb_pref", array("pref_id", "pref_name", "rank"));
+        $this->tpl_title = "お届け先指定";
+
+        $this->allowClientCache();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $objView = new SC_SiteView();
+        $objSiteSess = new SC_SiteSession();
+        $objCartSess = new SC_CartSession();
+        $objCampaignSess = new SC_CampaignSession();
+        $objCustomer = new SC_Customer();
+        // クッキー管理クラス
+        $objCookie = new SC_Cookie(COOKIE_EXPIRE);
+        // パラメータ管理クラス
+        $this->objFormParam = new SC_FormParam();
+        // パラメータ情報の初期化
+        $this->lfInitParam();
+        // POST値の取得
+        $this->objFormParam->setParam($_POST);
+
+        $this->objLoginFormParam = new SC_FormParam();	// ログインフォーム用
+        $this->lfInitLoginFormParam();						// 初期設定
+        $this->objLoginFormParam->setParam($_POST);		// POST値の取得
+
+        // ユーザユニークIDの取得と購入状態の正当性をチェック
+        $uniqid = SC_Utils_Ex::sfCheckNormalAccess($objSiteSess, $objCartSess);
+        $objPage->tpl_uniqid = $uniqid;
+
+        // ログインチェック
+        if($_POST['mode'] != 'login' && !$objCustomer->isLoginSuccess()) {
+            // 不正アクセスとみなす
+            SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
+        }
+
+        switch($_POST['mode']) {
+        case 'login':
+            $this->objLoginFormParam->toLower('login_email');
+            $objPage->arrErr = $this->objLoginFormParam->checkError();
+            $arrForm =  $this->objLoginFormParam->getHashArray();
+            // クッキー保存判定
+            if($arrForm['login_memory'] == "1" && $arrForm['login_email'] != "") {
+                $objCookie->setCookie('login_email', $_POST['login_email']);
+            } else {
+                $objCookie->setCookie('login_email', '');
+            }
+
+            if(count($objPage->arrErr) == 0) {
+                // ログイン判定
+                if(!$objCustomer->getCustomerDataFromEmailPass($arrForm['login_pass'], $arrForm['login_email'])) {
+                    // 仮登録の判定
+                    $objQuery = new SC_Query;
+                    $where = "email = ? AND status = 1 AND del_flg = 0";
+                    $ret = $objQuery->count("dtb_customer", $where, array($arrForm['login_email']));
+
+                    if($ret > 0) {
+                        SC_Utils_Ex::sfDispSiteError(TEMP_LOGIN_ERROR);
+                    } else {
+                        SC_Utils_Ex::sfDispSiteError(SITE_LOGIN_ERROR);
+                    }
+                }
+            } else {
+                // ログインページに戻る
+                $this->sendRedirect(URL_SHOP_TOP);
+                exit;
+            }
+            break;
+        // 削除
+        case 'delete':
+            if (sfIsInt($_POST['other_deliv_id'])) {
+                $objQuery = new SC_Query();
+                $where = "other_deliv_id = ?";
+                $arrRet = $objQuery->delete("dtb_other_deliv", $where, array($_POST['other_deliv_id']));
+                $this->objFormParam->setValue('select_addr_id', '');
+            }
+            break;
+        // 会員登録住所に送る
+        case 'customer_addr':
+            // 会員登録住所がチェックされている場合
+            if ($_POST['deliv_check'] == '-1') {
+                // 会員情報の住所を受注一時テーブルに書き込む
+                $this->lfRegistDelivData($uniqid, $objCustomer);
+                // 正常に登録されたことを記録しておく
+                $objSiteSess->setRegistFlag();
+                // お支払い方法選択ページへ移動
+                $this->sendRedirect($this->getLocation(URL_SHOP_PAYMENT, array(), true));
+                exit;
+            // 別のお届け先がチェックされている場合
+            } elseif($_POST['deliv_check'] >= 1) {
+                if (sfIsInt($_POST['deliv_check'])) {
+                    // 登録済みの別のお届け先を受注一時テーブルに書き込む
+                    lfRegistOtherDelivData($uniqid, $objCustomer, $_POST['deliv_check']);
+                    // 正常に登録されたことを記録しておく
+                    $objSiteSess->setRegistFlag();
+                    // お支払い方法選択ページへ移動
+                    $this->sendRedirect($this->getLocation(URL_SHOP_PAYMENT, array(), true));
+                    exit;
+                }
+            }else{
+                // エラーを返す
+                $arrErr['deli'] = '※ お届け先を選択してください。';
+            }
+            break;
+        // 前のページに戻る
+        case 'return':
+            // 確認ページへ移動
+            $this->sendRedirect($this->getLocation(URL_CART_TOP, array(), true));
+            exit;
+            break;
+        default:
+            $objQuery = new SC_Query();
+            $where = "order_temp_id = ?";
+            $arrRet = $objQuery->select("*", "dtb_order_temp", $where, array($uniqid));
+            $this->objFormParam->setParam($arrRet[0]);
+            break;
+        }
+
+        /** 表示処理 **/
+
+        // 会員登録住所の取得
+        $col = "name01, name02, pref, addr01, addr02";
+        $where = "customer_id = ?";
+        $objQuery = new SC_Query();
+        $arrCustomerAddr = $objQuery->select($col, "dtb_customer", $where, array($_SESSION['customer']['customer_id']));
+        // 別のお届け先住所の取得
+        $col = "other_deliv_id, name01, name02, pref, addr01, addr02";
+        $objQuery->setorder("other_deliv_id DESC");
+        $objOtherAddr = $objQuery->select($col, "dtb_other_deliv", $where, array($_SESSION['customer']['customer_id']));
+        $objPage->arrAddr = $arrCustomerAddr;
+        $objPage->tpl_addrmax = count($objOtherAddr);
+        $cnt = 1;
+        foreach($objOtherAddr as $val) {
+            $objPage->arrAddr[$cnt] = $val;
+            $cnt++;
+        }
+
+        // 入力値の取得
+        $objPage->arrForm = $this->objFormParam->getFormParamList();
+        $objPage->arrErr = $arrErr;
+
+        $objView->assignobj($objPage);
+        // フレームを選択(キャンペーンページから遷移なら変更)
+        $objCampaignSess->pageView($objView);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+    /* パラメータ情報の初期化 */
+    function lfInitParam() {
+        $this->objFormParam->addParam("お名前1", "deliv_name01", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("お名前2", "deliv_name02", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("フリガナ1", "deliv_kana01", STEXT_LEN, "KVCa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("フリガナ2", "deliv_kana02", STEXT_LEN, "KVCa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("郵便番号1", "deliv_zip01", ZIP01_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "NUM_COUNT_CHECK"));
+        $this->objFormParam->addParam("郵便番号2", "deliv_zip02", ZIP02_LEN, "n", array("EXIST_CHECK", "NUM_CHECK", "NUM_COUNT_CHECK"));
+        $this->objFormParam->addParam("都道府県", "deliv_pref", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("住所1", "deliv_addr01", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("住所2", "deliv_addr02", STEXT_LEN, "KVa", array("EXIST_CHECK", "SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("電話番号1", "deliv_tel01", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号2", "deliv_tel02", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("電話番号3", "deliv_tel03", TEL_ITEM_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK" ,"NUM_CHECK"));
+        $this->objFormParam->addParam("", "deliv_check");
+    }
+
+    function lfInitLoginFormParam() {
+        $this->objLoginFormParam->addParam("記憶する", "login_memory", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objLoginFormParam->addParam("メールアドレス", "login_email", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objLoginFormParam->addParam("パスワード", "login_pass", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
+    }
+
+    /* DBへデータの登録 */
+    function lfRegistNewAddrData($uniqid, $objCustomer) {
+        $arrRet = $this->objFormParam->getHashArray();
+        $sqlval = $this->objFormParam->getDbArray();
+        // 登録データの作成
+        $sqlval['deliv_check'] = '1';
+        $sqlval['order_temp_id'] = $uniqid;
+        $sqlval['update_date'] = 'Now()';
+        $sqlval['customer_id'] = $objCustomer->getValue('customer_id');
+        $sqlval['order_birth'] = $objCustomer->getValue('birth');
+
+        $objDb = new SC_Helper_DB_Ex();
+        $objDb->sfRegistTempOrder($uniqid, $sqlval);
+    }
+
+    /* 会員情報の住所を一時受注テーブルへ */
+    function lfRegistDelivData($uniqid, $objCustomer) {
+        // 登録データの作成
+        $sqlval['order_temp_id'] = $uniqid;
+        $sqlval['update_date'] = 'Now()';
+        $sqlval['customer_id'] = $objCustomer->getValue('customer_id');
+        $sqlval['deliv_check'] = '-1';
+        $sqlval['deliv_name01'] = $objCustomer->getValue('name01');
+        $sqlval['deliv_name02'] = $objCustomer->getValue('name02');
+        $sqlval['deliv_kana01'] = $objCustomer->getValue('kana01');
+        $sqlval['deliv_kana02'] = $objCustomer->getValue('kana02');
+        $sqlval['deliv_zip01'] = $objCustomer->getValue('zip01');
+        $sqlval['deliv_zip02'] = $objCustomer->getValue('zip02');
+        $sqlval['deliv_pref'] = $objCustomer->getValue('pref');
+        $sqlval['deliv_addr01'] = $objCustomer->getValue('addr01');
+        $sqlval['deliv_addr02'] = $objCustomer->getValue('addr02');
+        $sqlval['deliv_tel01'] = $objCustomer->getValue('tel01');
+        $sqlval['deliv_tel02'] = $objCustomer->getValue('tel02');
+        $sqlval['deliv_tel03'] = $objCustomer->getValue('tel03');
+
+        $sqlval['deliv_fax01'] = $objCustomer->getValue('fax01');
+        $sqlval['deliv_fax02'] = $objCustomer->getValue('fax02');
+        $sqlval['deliv_fax03'] = $objCustomer->getValue('fax03');
+
+        $objDb = new SC_Helper_DB_Ex();
+        $objDb->sfRegistTempOrder($uniqid, $sqlval);
+    }
+
+    /* 別のお届け先住所を一時受注テーブルへ */
+    function lfRegistOtherDelivData($uniqid, $objCustomer, $other_deliv_id) {
+        // 登録データの作成
+        $sqlval['order_temp_id'] = $uniqid;
+        $sqlval['update_date'] = 'Now()';
+        $sqlval['customer_id'] = $objCustomer->getValue('customer_id');
+        $sqlval['order_birth'] = $objCustomer->getValue('birth');
+
+        $objQuery = new SC_Query();
+        $where = "other_deliv_id = ?";
+        $arrRet = $objQuery->select("*", "dtb_other_deliv", $where, array($other_deliv_id));
+
+        $sqlval['deliv_check'] = $other_deliv_id;
+        $sqlval['deliv_name01'] = $arrRet[0]['name01'];
+        $sqlval['deliv_name02'] = $arrRet[0]['name02'];
+        $sqlval['deliv_kana01'] = $arrRet[0]['kana01'];
+        $sqlval['deliv_kana02'] = $arrRet[0]['kana02'];
+        $sqlval['deliv_zip01'] = $arrRet[0]['zip01'];
+        $sqlval['deliv_zip02'] = $arrRet[0]['zip02'];
+        $sqlval['deliv_pref'] = $arrRet[0]['pref'];
+        $sqlval['deliv_addr01'] = $arrRet[0]['addr01'];
+        $sqlval['deliv_addr02'] = $arrRet[0]['addr02'];
+        $sqlval['deliv_tel01'] = $arrRet[0]['tel01'];
+        $sqlval['deliv_tel02'] = $arrRet[0]['tel02'];
+        $sqlval['deliv_tel03'] = $arrRet[0]['tel03'];
+        $objDb = new SC_Helper_DB_Ex();
+        $objDb->sfRegistTempOrder($uniqid, $sqlval);
+    }
+
+    /* 入力内容のチェック */
+    function lfCheckError() {
+        // 入力データを渡す。
+        $arrRet =  $this->objFormParam->getHashArray();
+        $objErr = new SC_CheckError($arrRet);
+        $objErr->arrErr = $this->objFormParam->checkError();
+        // 複数項目チェック
+        if ($_POST['mode'] == 'login'){
+            $objErr->doFunc(array("メールアドレス", "login_email", STEXT_LEN), array("EXIST_CHECK"));
+            $objErr->doFunc(array("パスワード", "login_pass", STEXT_LEN), array("EXIST_CHECK"));
+        }
+        $objErr->doFunc(array("TEL", "deliv_tel01", "deliv_tel02", "deliv_tel03", TEL_ITEM_LEN), array("TEL_CHECK"));
+        return $objErr->arrErr;
+    }
+}
+?>
